Bug 1010386 - pkcon install-local of unsigned package gives no warning or prompt
pkcon install-local of unsigned package gives no warning or prompt
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: PackageKit (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Richard Hughes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 12:29 EDT by smatula
Modified: 2013-12-12 10:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-12 10:50:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description smatula 2013-09-20 12:29:44 EDT
Description of problem: Installing of a local unsigned package gives not prompt or warning the package is unsigned. A package that is unsigned can be downloaded. Then install-local of rpm can be performed and no warning or prompt is given. It is just installed.


Version-Release number of selected component (if applicable):
PackageKit-0.8.9-6.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. Download an unsigned package to system
2. Perform pkcon install-local <rpm of downloaded unsigned package>
3.

Actual results:
No prompt or warning given. Successfully install package.

Expected results:
Prompted: Do you want to allow installing of unsigned software? [N/y]
After supplying y it will install. N will not install

Additional info:
Comment 2 Matthias Clasen 2013-12-11 22:24:20 EST
we're not going to get pkcon fixes for 7.0. yum is the recommended commandline client for software installation, anyway
Comment 3 RHEL Product and Program Management 2013-12-12 10:50:20 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.